## Modulemd.Dependencies (Private) Modulemd.Dependencies (Private) — ModulemdDependencies methods that should be used only by internal consumers. |

## Stability Level

Private, unless otherwise indicated

## Functions

ModulemdDependencies * | modulemd_dependencies_parse_yaml ()
gboolean | modulemd_dependencies_emit_yaml ()
gboolean | modulemd_dependencies_validate ()
gboolean | modulemd_dependencies_requires_module_and_stream ()
gboolean | modulemd_dependencies_buildrequires_module_and_stream ()

## Description

## Functions

### modulemd_dependencies_parse_yaml ()

    ModulemdDependencies *
    modulemd_dependencies_parse_yaml (yaml_parser_t *parser,
                                      gboolean strict,
                                      GError **error);

#### Parameters

parser | A libyaml parser object positioned at a sequence entry for a Dependencies object. | [inout]
strict | Whether the parser should return failure if it encounters an unknown mapping key or if it should ignore it. | [in]
error | A GError that will return the reason for a parsing or validation error. | [out]

#### Returns

A newly-allocated ModulemdDependencies object read from the YAML. NULL if a parse or validation error occurred and sets `error` appropriately.

[transfer full]

Since: 2.0

### modulemd_dependencies_emit_yaml ()

    gboolean
    modulemd_dependencies_emit_yaml (ModulemdDependencies *self,
                                     yaml_emitter_t *emitter,
                                     GError **error);

#### Parameters

self | This ModulemdDependencies object. |
emitter | A libyaml emitter object positioned where a dependencies instance belongs in the YAML document. | [inout]
error | A GError that will return the reason for an emission or validation error. | [out]

#### Returns

TRUE if the dependencies object was emitted successfully. FALSE and sets `error` appropriately if the YAML could not be emitted.

Since: 2.0

### modulemd_dependencies_validate ()

    gboolean
    modulemd_dependencies_validate (ModulemdDependencies *self,
                                    GError **error);

#### Parameters

self | This ModulemdDependencies object. |
error | A GError containing the reason the object failed validation. NULL if the validation passed. | [out]

#### Returns

TRUE if validation passed. FALSE and sets `error` if failed.

This method runs a sanity check that the runtime (requires) and buildtime (buildrequires) dependencies are internally consistent.

Since: 2.0

### modulemd_dependencies_requires_module_and_stream ()

    gboolean
    modulemd_dependencies_requires_module_and_stream
                                   (ModulemdDependencies *self,
                                    const gchar *module_name,
                                    const gchar *stream_name);

#### Parameters

self | This ModulemdDependencies object. |
module_name | The name of the module to be checked. | [in]
stream_name | The name of the stream to be checked. | [in]

#### Returns

TRUE if the specified runtime dependency is present. FALSE if not.

This method checks if the runtime dependencies for this object include the specified module stream.

Since: 2.2

### modulemd_dependencies_buildrequires_module_and_stream ()

    gboolean
    modulemd_dependencies_buildrequires_module_and_stream
                                   (ModulemdDependencies *self,
                                    const gchar *module_name,
                                    const gchar *stream_name);

#### Parameters

self | This ModulemdDependencies object. |
module_name | The name of the module to be checked. | [in]
stream_name | The name of the stream to be checked. | [in]

#### Returns

TRUE if the specified buildtime dependency is present. FALSE if not.

This method checks if the buildtime dependencies for this object include the specified module stream.

Since: 2.2